#!/usr/bin/env python
# coding=utf8
#
# Copyright (C) 2010  Edmundo Álvarez Jiménez
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authors: Edmundo Álvarez Jiménez <e.alvarezj@gmail.com>

import os
import config

USER_DATA_DIR = os.path.join (os.getenv ("HOME"), ".detras")

# Paths to config files
DEFAULT_CFG_FILE = os.path.join (config.DATA_DIR, "detras", "detras.ini")
USER_CFG_FILE = os.path.join (USER_DATA_DIR, "detras.ini")


# Mapping between values and filter types
FILTER_TYPE_MAP = {
        'none': 0,
        'regexp': 1,
        'windows_titles': 2
    }
