/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

#ifndef TF_DAEMON_H
#define TF_DAEMON_H

#ifdef  __cplusplus
extern "C" {
#endif

typedef enum {
	TF_DAEMON_UNKNOWN,
	TF_DAEMON_RUNNING,
	TF_DAEMON_STOPPED
} TfDaemonStatus;

TfDaemonStatus tf_daemon_get_status (void);
void           tf_daemon_start      (void);
void           tf_daemon_stop       (void);
	
#ifdef __cplusplus
}
#endif

#endif /* TF_DAEMON_H */
