from django.conf.urls.defaults import *
from dazer.analyzer.resources.Home import *
from dazer.analyzer.resources.AppsCharts import *
from dazer.analyzer.resources.AppCharts import *
from dazer.analyzer.resources.ClientsCharts import *
from dazer.analyzer.resources.ProjectsCharts import *
from dazer.analyzer.resources.ProjectCharts import *

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^dazer/', include('dazer.foo.urls')),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # (r'^admin/', include(admin.site.urls)),
    (r'^$', Home(),),
    (r'^app/$',    AppCharts(),),
    (r'^apps/$',    AppsCharts(),),
    (r'^apps/(?P<an_type>[\w-]+)/$',    AppsCharts(),),
    (r'^clients/$', ClientsCharts(),),
    (r'^project/$', ProjectCharts(),),
    (r'^projects/$', ProjectsCharts(),),
    (r'^projects/(?P<an_type>[\w-]+)/$',    ProjectsCharts(),),
)
