function show_or_hide (id) {
    var node = dojo.byId(id);
    if (node) {
        if (dojo.hasClass(node, "hidden")) {
            dojo.removeClass(node, "hidden");
        } else {
            dojo.addClass(node, "hidden");
        }
    }
    return false;
}

function change_menu_sel (id) {
    var old_selected = dojo.query(".selected");
    
    if (old_selected) {
        var old_sel = old_selected[0];
        
        if (old_sel) {
            dojo.removeClass(old_sel, "selected");
            
            var old_id = old_sel.id;
            var old_id_index = old_id.indexOf('-') + 1;
            
            old_id = old_id.substring(old_id_index, old_id.length);
            
            show_or_hide("form-"+old_id);
        }
        
        var new_selected = dojo.byId("sel-"+id);
        
        if (new_selected) {
            dojo.addClass(new_selected, "selected");
            
            show_or_hide("form-"+id);
        }
    }
    
    return false;
}


