#!/bin/sh
#
# Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>

SENDER=../squealer/Sender.py

DETRASDIR=$HOME/.detras

XMLFILE=$DETRASDIR/tempusfugit.xml
OLDFILE=$DETRASDIR/tempusfugit.xml.send-stored-data.sh

mv $XMLFILE $OLDFILE

for tbz in $(find $DETRASDIR -name *.bz2)
do
   echo "Sending file $tbz . . ."
   cp $tbz $XMLFILE.bz2
   bunzip2 $XMLFILE.bz2
   python $SENDER
   rm $XMLFILE
done

mv $OLDFILE $XMLFILE

